#include <iostream>

using namespace std;

int main()
{
    int n,l,s=-1;
    cin>>n>>l;
    int h[n];
    for(int i=0;i<n;i++)
        cin>>h[i];
    for(int i=0;i<n;i++)
    {
        if(h[i]<=l)
        {
            s=i+1;
            break;
        }
    }
    cout<<s;
    return 0;
}